      program driver
c
c  Generic driver routine for claw3
c
c  Author: Donna Calhoun
c  Date : 3/20/02
c  Version : To be used with Clawpack 4.0
c
      implicit double precision (a-h,o-z)

c     # set parameters for maximum array sizes used in declarations
c     # these must be increased for larger problems.
c
c
      parameter (maxmx =    75)
      parameter (maxmy =    150)
      parameter (maxmz =    75)
      parameter (mwork =   4874716)

      parameter (mbc = 2)
      parameter (meqn = 5)
      parameter (mwaves = 3)
      parameter (maux = 22)

      dimension    q(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc,
     &               1-mbc:maxmz+mbc, meqn)

      dimension  aux(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc,
     &      1-mbc:maxmz+mbc, maux)

      dimension mthlim(mwaves)
      dimension work(mwork)

      integer maxlevel, level, refratios(20)
      common /comlevel/ maxlevel, level, refratios

c     # set common block info for single grid calculation
      maxlevel = 0
      level = 0

      call claw3ez(maxmx,maxmy,maxmz,meqn,mwaves,mbc,maux,mwork,mthlim,
     &           q,work,aux)

      stop
      end
